class UsersController < ApplicationController
  filter_access_to [:edit, :update], :attribute_check => true
  # filter_access_to [:assume, :return_admin], :require => :god
  
  def index
    @users = User.all
  end
  
  def new
    @user = User.new
  end
  
  def create
    @user = User.new(params[:user])
    if @user.save
      flash[:notice] = "Thanks for signing up!"
      redirect_back_or_default user_path @user
    else
      render :action => :new
    end
  end
  
  def show
    @user = User.find(params[:id])
  end

  def edit
    @user = User.find(params[:id])
  end
  
  def update
    @user = User.find(params[:id])    
    if @user.update_attributes(params[:user])
      
      if params[:user][:avatar].blank?
        flash[:notice] = "Account updated!"
        redirect_to user_url @user
      else
        render :action => "crop"
      end
      
    else
      render :action => :edit
    end
  end
  
  def crop
    @user = User.find(params[:id])    
  end
  
  def assume
    user = User.find(params[:id])
    redirect_to user_path(self.assume_user(user).record)
  end

  def return_admin
    return_to_admin
  end
  
  
end
