authorization do

  role :guest do
    has_permission_on :users, :to => :read
    has_permission_on :user_sessions, :to => :manage
  end
  
  role :user do   
    includes :guest 
    has_permission_on :users, :to => [:manage] do
      if_attribute :id => is {user.id}
    end
    
  end
  
  # permissions on other roles, such as
  role :admin do
   includes :user
   has_permission_on [:users, :authorization_rules], :to => :god
  end
end

privileges do
  # default privilege hierarchies to facilitate RESTful Rails apps
  privilege :god, :includes => [:manage, :assume_user, :return_to_admin]
  privilege :manage, :includes => [:create, :read, :update, :delete]
  privilege :read, :includes => [:index, :show]
  privilege :create, :includes => :new
  privilege :update, :includes => :edit
  privilege :delete, :includes => :destroy
end
