class CreateUsers < ActiveRecord::Migration
  def self.up         
    create_table :users do |t|
      t.timestamps

      t.string :first_name,         :default => ""
      t.string :last_name,          :default => ""
      t.string :email,              :null => false, :default => ""  # todo this seems bad
      t.string :crypted_password,   :null => false, :default => ""  
      t.string :password_salt,      :null => false, :default => ""  
      t.string :persistence_token,  :null => false, :default => ""  
      t.string :single_access_token,:null => false, :default => ""  
      t.string :perishable_token,   :null => false, :default => ""  
      t.integer :login_count,       :default => 0, :null => false
      t.integer :failed_login_count,:default => 0, :null => false
      t.datetime :last_request_at
      t.datetime :current_login_at
      t.datetime :last_login_at
      t.string :current_login_ip
      t.string :last_login_ip
      t.string :role, :default => "user", :null => false
      
      t.string :name
      t.string :facebook_session_key
      t.integer :facebook_uid, :limit => 8
      
      t.string  :avatar_file_name
      t.string  :avatar_content_type
      t.integer :avatar_file_size
      t.datetime :avatar_updated_at
      
    end
    
    add_index :users, :email
    add_index :users, :persistence_token
    add_index :users, :perishable_token
    add_index :users, :last_request_at
  end

  def self.down
    drop_table :users
  end
end
