Feature: Authentication
  In order to start a training plan
  Visitors to the web application
  Should be able to signup, login, and logout
	
	Background:
		Given a valid user record for jspooner
	
	Scenario: Signup
		Given I go to the signup page
		And I fill in "new_user@gmail.com" for "Email"
		And I fill in "test" for "Password"
		And I fill in "test" for "Password Confirmation"
		And I press "Register"
		Then I should see "Thanks for signing up!"
		Then show me the page

	Scenario: Login
  	When I go to the login page
    And I fill in the following:
    	|Email|jspooner@gmail.com|
      |Password|test|
		And I press "Login"
    Then I should see "Logged in successfully"
	
	Scenario: Login with invalid email
		# Given a valid user record for jspooner
    When I go to the login page
    And I fill in the following:
      |Email|jspooner+INCORRECT_LOGIN@gmail.com|
      |Password|test|
    And I press "Login"
    Then I should see "Email is not valid"
	
	Scenario: Login with invalid password
		# Given a valid user record for jspooner
		When I go to the login page
		And I fill in the following:
		  |Email|jspooner@gmail.com|
		  |Password|just_wrong|
		And I press "Login"
		Then I should see "Password is not valid"
	
	Scenario: I'm a moron and I forgot my password
		# Given a valid user record for jspooner
		Given I go to the forgot password page
		And I fill in "jspooner@gmail.com" for "email"
		And I press "Reset my password"
		Then I should see "your password have been emailed to you"
	
	Scenario: I received the change password email
		# Given a valid user record for jspooner
		Given I go to the password reset page
		And I fill in "test" for "Password"
		And I fill in "test" for "Password Confirmation"
		And I press "Update my password and log me in"
		Then I should see "Password successfully updated"
		