module NavigationHelpers
  # Maps a name to a path. Used by the
  #
  #   When /^I go to (.+)$/ do |page_name|
  #
  # step definition in web_steps.rb
  #
  def path_to(page_name)
    case page_name
    
    when /the home\s?page/
      '/'
    when /the signup page/
      signup_path      
    when /the login page/
      login_path
    when /the logout page/
      logout_path
    when /the forgot password page/
      forgot_path
    when /the password reset page/
      reset_path(@user.perishable_token)
    when /my user edit page/
      edit_user_path(@current_user)
    when /([\w]*)'s user edit page/ 
      
      edit_user_path( User.find_by_email($1 + "@gmail.com"))
      
    # when /^(.*)'s edit profile page$/i
    #   edit_user_path(User.find_by_email("#{$1}@gmail.com"))
    # Add more mappings here.
    # Here is an example that pulls values out of the Regexp:
    #
    #   when /^(.*)'s profile page$/i
    #     user_profile_path(User.find_by_login($1))

    else
      raise "Can't find mapping from \"#{page_name}\" to a path.\n" +
        "Now, go and add a mapping in #{__FILE__}"
    end
  end
end

World(NavigationHelpers)
